It's likely that this is a problem with your version of rubygems. If
you downgrade to 1.5 or something like that, my guess is that you
won't see this error.

On Sun, Mar 18, 2012 at 12:29 PM, Michael Torfs <michael.to...@gmail.com> wrote:
> Hi,
>
> I have an older Radiant site running, version 0.8.2. I still runs in
> production (luckily). But I can't get it to start anymore on my
> development machine.
>
> I can't upgrade Radiant since there are customized plugins that won't
> work on higher versions.
>
> Anybody an idea if and how I can solve this?
>
> Michael
>
>
> C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/rails/railties/
> lib/rails/gem_dependency.rb:268:in `==': undefined method `name' for
> "Ascii85":String (NoMethodError)
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:
> 217:in `==='
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:
> 217:in `matching_specs'
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/
> custom_require.rb:55:in `find_all'
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/
> specification.rb:411:in `each'
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/
> specification.rb:410:in `each'
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:
> 216:in `find_all'
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:
> 216:in `matching_specs'
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:
> 238:in `to_specs'
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:
> 256:in `to_spec'
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems.rb:1208:in
> `gem'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/railties/lib/rails/gem_dependency.rb:73:in `add_load_paths'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/railties/lib/initializer.rb:301:in `add_gem_load_paths'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/railties/lib/initializer.rb:301:in `each'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/railties/lib/initializer.rb:301:in `add_gem_load_paths'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/railties/lib/initializer.rb:132:in `process'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/railties/lib/initializer.rb:113:in `send'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/railties/lib/initializer.rb:113:in `run'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/lib/
> radiant/initializer.rb:148:in `run'
>        from C:/Devel/fitrent/config/environment.rb:28
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/
> custom_require.rb:55:in `gem_original_require'
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/
> custom_require.rb:55:in `require'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/activesupport/lib/active_support/dependencies.rb:156:in
> `require'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/activesupport/lib/active_support/dependencies.rb:521:in
> `new_constants_in'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/activesupport/lib/active_support/dependencies.rb:156:in
> `require'
>        from C:/Ruby187/lib/ruby/gems/1.8/gems/radiant-0.8.2/vendor/
> rails/railties/lib/commands/server.rb:84
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/
> custom_require.rb:55:in `gem_original_require'
>        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/
> custom_require.rb:55:in `require'
>        from script/server:3



-- 
Write intention revealing code #=> http://www.clean-ruby.com

Jim Gay
Saturn Flyer LLC
571-403-0338

Reply via email to